Bug 1475300 - implementation of fallocate call in read-only xlator
implementation of fallocate call in read-only xlator
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Sonal
Rahul Hinduja
Depends On:
  Show dependency treegraph
Reported: 2017-07-26 08:13 EDT by Sonal
Modified: 2017-12-08 12:35 EST (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.13.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-08 12:35:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sonal 2017-07-26 08:13:19 EDT
Description of problem:
Read-only xlator doesn't implement fallocate. Currently read-only doesn't provide functionality for this.

Version-Release number of selected component (if applicable):

How reproducible:
Read-only should provide functionality for fallocate. If read-only is enabled, fallocate call should be declined, otherwise it should pass call to next xlator.

Steps to Reproduce:

Actual results:
No functionality for fallocate in read-only xlator

Expected results:
fallocate implementation in read-only xlator.

Additional info:
Comment 3 Worker Ant 2017-07-31 07:11:59 EDT
REVIEW: https://review.gluster.org/17879 (read-only : currently read-only doesn't implement fallocate) posted (#2) for review on master by Sonal Arora (sarora@redhat.com)
Comment 4 Worker Ant 2017-08-02 08:31:43 EDT
REVIEW: https://review.gluster.org/17879 (read-only : currently read-only doesn't implement fallocate) posted (#3) for review on master by Sonal Arora (sarora@redhat.com)
Comment 5 Worker Ant 2017-08-07 09:15:46 EDT
COMMIT: https://review.gluster.org/17879 committed in master by Amar Tumballi (amarts@redhat.com) 
commit ebc8237d8c445af208446c937f31aa311d1efb2c
Author: SonaArora <aarorasona@gmail.com>
Date:   Wed Jul 26 17:43:45 2017 +0530

    read-only : currently read-only doesn't implement fallocate
    PROBLEM STATEMENT: read-only should block fallocate call if its enabled,
    else pass to next xlator. Implemented this functionality in read-only.
    BUG: 1475300
    Change-Id: I57c51eb4f1519ba75d7291eba49554e6ed4a25eb
    Signed-off-by: SonaArora <aarorasona@gmail.com>
    Reviewed-on: https://review.gluster.org/17879
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Tested-by: Karthik U S <ksubrahm@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Karthik U S <ksubrahm@redhat.com>
    Reviewed-by: Ashish Pandey <aspandey@redhat.com>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
Comment 6 Shyamsundar 2017-12-08 12:35:59 EST
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.13.0, please open a new bug report.

glusterfs-3.13.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2017-December/000087.html
[2] https://www.gluster.org/pipermail/gluster-users/

Note You need to log in before you can comment on or make changes to this bug.